local tentacle_x, tentacle_y = EntityGetTransform(GetUpdatedEntityID())
local target_hit = EntityGetInRadiusWithTag(tentacle_x, tentacle_y, 10, "mortal")
if #target_hit > 0 then
	EntitySetTransform(target_hit[1], tentacle_x, tentacle_y)

	-- prevent tentacle from pulling you behind the puller
	for _, enemy in ipairs(EntityGetInRadiusWithTag(tentacle_x, tentacle_y, 10, "enemy")) do
		if enemy == EntityGetParent(GetUpdatedEntityID()) then
			EntityKill(GetUpdatedEntityID())
		end
	end
end